import javax.swing.*;
import java.awt.*;
import com.jinsight.jetchart.*;

public class Example13 extends JFrame {
    
    public Example13() { 
        
	PieGraph graph=new PieGraph();
	
	graph.set3DEnabled(true);
	
	PieSerie ps=new PieSerie();
	graph.addSerie(ps);       
	
	Color[] colors={Color.red,Color.green,Color.blue,Color.yellow};
	double[] values={50,80,40,90};
	String[] legends={"slice1","slice2","slice3","slice4"};	
	
	for (int counter=0;counter<values.length;counter++) {
	    Slice slice=new Slice(values[counter],legends[counter],colors[counter]);
	    ps.addSlice(slice);
	}
	
	Container ct=getContentPane();
	
	ct.add("Center",graph);
	
        setSize(500,400);
	
        setVisible(true);
	
    }
    
    public static void main(String[] args) {
        new Example13();
    }
    
}


